GuideLab API

Create a custom report

Creates a custom report after validating every versioned field and operator against its code-owned data-source adapter. Lab owner/admin only.

POST
/reports

Creates a custom report after validating every versioned field and operator against its code-owned data-source adapter. Lab owner/admin only.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/reports" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "config": {      "dataSource": "orders",      "columns": [        {          "fieldKey": "string"        }      ]    }  }'
{  "id": "string",  "name": "string",  "description": "string",  "icon": "string",  "type": "built_in",  "templateSlug": "string",  "isPinned": true,  "sortOrder": 0,  "createdAt": "string"}
Empty
Empty